List resources
curl --request GET \
--url https://live1-service-7042312-f94c764b.us.monday.app/api/public/v1/resource \
--header 'Authorization: Bearer <token>'import requests
url = "https://live1-service-7042312-f94c764b.us.monday.app/api/public/v1/resource"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://live1-service-7042312-f94c764b.us.monday.app/api/public/v1/resource', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"accountId": "<string>",
"workingDays": [
123
],
"dailyCapacity": 123,
"create_date": "2023-11-07T05:31:56Z",
"roleId": "<string>",
"skillsIds": [
"<string>"
],
"calendarsIds": [
"<string>"
],
"salary": {
"amount": 0,
"currency": "USD",
"period": "monthly"
}
}
]Resources
List resources
Returns all Monday.com users configured as resources in SuperPlanner for this account.
GET
/
api
/
public
/
v1
/
resource
List resources
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
Monday.com user ID of this resource.
Account this resource belongs to.
Days of the week this resource works (0=Monday, 1=Tuesday, ..., 6=Sunday).
Daily capacity of the resource. The unit depends on the account configuration (e.g. hours, story points, tasks).
UTC timestamp when the resource was created.
ID of the role assigned to this resource.
IDs of skills assigned to this resource.
IDs of holiday calendars assigned to this resource.
Salary information for this resource.
Show child attributes
Show child attributes